NPPPD(8)

NAME
npppd - new Point-to-Point Protocol daemon

SYNOPSIS
npppd [-dn] [-f config_file]

DESCRIPTION
npppd is a Point-to-Point Protocol (PPP) and tunneling daemon capable of L2TP, PPTP, and PPPoE.

-d  Do not daemonize. If this option is specified, npppd will run in the foreground and log to stderr.

-f config_file
    Specify an alternative configuration file.

-n  Configtest mode. Only check the configuration file for validity.

Normally npppd works with pipex(4) to accelerate IP packet forwarding, but pipex(4) is disabled by default. To enable it, set net.pipex.enable to ‘1’ using sysctl(8).

When npppd uses PPTP, the host system should allow GRE packets, but they are disabled by default. To enable GRE, set net.inet.gre.allow to ‘1’ using sysctl(8).

FILES
/etc/npppd/npppd.conf
    Default npppd configuration file.

SEE ALSO
gre(4), pipex(4), pppx(4), tun(4), npppd.conf(5), npppctl(8), sysctl(8)

HISTORY
The npppd program first appeared in OpenBSD 5.3.

AUTHORS
The npppd program was written by Internet Initiative Japan Inc.

BUGS
If l2tp-require-ipsec is set to “yes” with an L2TP tunnel, all incoming L2TP/IPsec packets are dropped.